Complete: needs review
Prerequisites
Ensure you have
Quick Install Other
wget and tar installed & up-to-date on your system.taris pre-installed on macOS and most linux distributions.
Quick Install
wget with Homebrewinstall wget with brew
复制
询问AI
# Check if wget is installed
brew list --versions wget
# Install wget if not already installed
brew install wget
wget Install Options- Linux
- MacOS
You can use brew or your package manager to install
wget显示 >_ Using Package Manager
显示 >_ Using Package Manager
Linux Ubuntu/DebianAlpineFedora/RHEL/CentOS/RockyArch
复制
询问AI
sudo apt-get update && sudo apt-get upgrade wget
sudo apt install -y wget
复制
询问AI
sudo apk update
sudo apk add wget
复制
询问AI
sudo dnf update
sudo dnf install -y wget
复制
询问AI
sudo pacman -Syu
sudo pacman -S wget
显示 >_ Using brew
显示 >_ Using brew
brew install
复制
询问AI
# Install brew if not already installed
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
version check
复制
询问AI
# Check if wget is installed
brew list --versions wget
brew list --versions tar
upgrade wget
复制
询问AI
# Upgrade wget if already installed
brew upgrade wget
brew upgrade tar
install wget
复制
询问AI
# Install wget if not already installed
brew install wget
update all brew packages
复制
询问AI
# Update all brew packages
brew update && bre upgrade
MacOS users will also need to install
libx11 and --cask xquartzYou can use brew or curl to install wget显示 >_ Using brew
显示 >_ Using brew
Using brew
brew
复制
询问AI
# Install brew if not already installed
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
# Check if wget is installed
brew list --versions wget
# Upgrade wget if already installed
brew upgrade wget
# Install wget if not already installed
brew install wget libx11 --cask xquartz
# Update all brew packages
brew update && bre upgrade
显示 >_ Using curl
显示 >_ Using curl
Using curl
curl
复制
询问AI
curl -LO https://ftp.gnu.org/gnu/wget/wget-1.21.4.tar.gz
tar -xzf wget-1.21.4.tar.gz
cd wget-1.21.4
./configure && make && sudo make install
Download & Install Binary
- linux
- MacOS
Note: is dynamically fetched from the go-livepeer releases page via Gtihub API.
复制
询问AI
sudo wget https://github.com/livepeer/go-livepeer/releases/download/v0.7.7/livepeer-linux-amd64.tar.gz
显示 >_ In case of version fetch issues
显示 >_ In case of version fetch issues
In case of fetch issues: Replace with the latest version number
wget
复制
询问AI
sudo wget https://github.com/livepeer/go-livepeer/releases/download/<VERSION>/livepeer-linux-amd64.tar.gz
Note: is dynamically fetched from the go-livepeer releases page via Gtihub API.Intel
Apple Silicon
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/download/v0.7.7/livepeer-darwin-amd64.tar.gz
显示 >_ In case of version fetch issues
显示 >_ In case of version fetch issues
curl
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/<VERSION>/download/livepeer-darwin-amd64.tar.gz
tar -zxvf livepeer-darwin-amd64.tar.gz
sudo mv livepeer-darwin-amd64/* /usr/local/bin/
livepeer -gateway
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/download/v0.7.7/livepeer-darwin-arm64.tar.gz
显示 >_ In case of version fetch issues
显示 >_ In case of version fetch issues
curl
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/<VERSION>/download/livepeer-darwin-arm64.tar.gz
tar -zxvf livepeer-darwin-arm64.tar.gz
sudo mv livepeer-darwin-arm64/* /usr/local/bin/
livepeer -gateway
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/download/v0.7.7/livepeer-linux-amd64.tar.gz
显示 >_ In case of version fetch issues
显示 >_ In case of version fetch issues
In case of fetch issues: Replace with the latest version number
curl
复制
询问AI
curl -LO https://github.com/livepeer/go-livepeer/releases/download/<VERSION>/livepeer-linux-amd64.tar.gz
复制
询问AI
sudo tar -zxvf livepeer-linux-amd64.tar.gz
sudo rm livepeer-linux-amd64.tar.gz
sudo mv livepeer-linux-amd64/* /usr/local/bin/
Run the Gateway
- Off-Chain Gateways
- On-Chain Gateways
Off-chain mode is the default network and requires no blockchain connectivity (no wallet or RPC).
- defaultNetwork := “offchain”
run the Gateway
复制
询问AI
# Run the gateway
livepeer -gateway
You will need to Generate Keystore File
When generating a new keystore file, the program will prompt you for a
password. This password is used to decrypt the keystore file and access the
private key. Make sure to never share or lose access to either the password or
the keystore file
Run the Gateway
复制
询问AI
# Set your Arbitrum RPC URL
export RPC_URL="<YOUR_ARBITRUM_RPC_URL>"
# Run the gateway
livepeer -network arbitrum-one-mainnet -ethUrl $RPC_URL -gateway
Off-Chain Gateway Example Output
复制
询问AI
>_ livepeer -gateway
*---------*------*
| Gateway | true |
*---------*------*
I1222 12:37:23.339916 97244 starter.go:537] ***Livepeer is running on the offchain network***
I1222 12:37:23.340276 97244 starter.go:554] Creating data dir: /Users/<me>/.lpData/offchain
I1222 12:37:23.344584 97244 starter.go:723] ***Livepeer is in off-chain mode***
E1222 12:37:23.345022 97244 starter.go:1586] No orchestrator specified; transcoding will not happen
I1222 12:37:23.350972 97244 starter.go:1827] ***Livepeer Running in Gateway Mode***
I1222 12:37:23.350991 97244 starter.go:1828] Video Ingest Endpoint - rtmp://127.0.0.1:1935
I1222 12:37:23.351002 97244 starter.go:1837] Livepeer Node version: 0.8.8
I1222 12:37:23.351124 97244 mediaserver.go:247] HTTP Server listening on http://127.0.0.1:9935
I1222 12:37:23.351398 97244 webserver.go:20] CLI server listening on 127.0.0.1:5935
显示 OLD DOCS ITEMS (move to config)
显示 OLD DOCS ITEMS (move to config)
Configure Gateway
Create a file containing your Gateway Ethereum password
复制
询问AI
sudo mkdir /usr/local/bin/lptConfig
sudo nano /usr/local/bin/lptConfig/node.txt
Create System Service
Create a system service
复制
询问AI
sudo nano /etc/systemd/system/livepeer.service
复制
询问AI
[Unit]
Description=Livepeer
[Service]
Type=simple
User=root
Restart=always
RestartSec=4
ExecStart=/usr/local/bin/livepeer -network arbitrum-one-mainnet \
-ethUrl=<YOUR ARB RPC URL> \
-cliAddr=127.0.0.1:5935 \
-ethPassword=/usr/local/bin/lptConfig/node.txt \
-maxPricePerUnit=300 \
-broadcaster=true \
-serviceAddr=<INSERT YOUR IP ADDRESS>:8935 \
-transcodingOptions=/usr/local/bin/lptConfig/transcodingOptions.json \
-rtmpAddr=0.0.0.0:1935 \
-httpAddr=0.0.0.0:8935 \
-monitor=true \
-v 6
[Install]
WantedBy=default.target
复制
询问AI
sudo systemctl daemon-reload
sudo systemctl enable --now livepeer
复制
询问AI
livepeer_cli -host 127.0.0.1 -http 5935